[@bigcommerce/checkout-sdk](../README.md) / IframeEventPostOptions

# Interface: IframeEventPostOptions\<TSuccessEvent, TErrorEvent\>

## Type parameters

| Name | Type |
| :------ | :------ |
| `TSuccessEvent` | extends [`IframeEvent`](IframeEvent.md) |
| `TErrorEvent` | extends [`IframeEvent`](IframeEvent.md) |

## Table of contents

### Properties

- [errorType](IframeEventPostOptions.md#errortype)
- [successType](IframeEventPostOptions.md#successtype)

## Properties

### errorType

• `Optional` **errorType**: `TErrorEvent`[``"type"``]

___

### successType

• `Optional` **successType**: `TSuccessEvent`[``"type"``]
